$(document).ready(function(){

	// votre code js, exécuté une fois que la page est prête

	// une phrase jQuery c'est toujours
	// $('cible').action(paramètres);

	// pour un "événement" c'est en 2 parties :

	// 1. "écouter" l'arrivée de l'événement
	// $('cible1').on('evenement', function(){

	// 		2. agir quand l'évenement a lieu
	// 		$('cible2').action(paramètres);
	// 		etc

	// });


	// drag des articles de la mosaïque
	$('#projets article').easyDrag();

	/////// tris des articles
	
	// (on a classé chaque article avec une classe css)


	// activer le bouton "Images" :

	// au clic sur le li de .tris qui a la classe media-image
	/*$('.tris .media-image').on('click', function(){
		
		// on cache tous les articles
		// (c'est plus facile que de cibler seulement
		// ceux qu'on veut masquer)
		$('#projets article').hide();

		// on affiche les articles avec la classe media-image
		$('#projets article.media-image').show();
	});
	
	// activer  le bouton "Videos" :
	$('.tris .media-video').on('click', function(){
		
		// on cache tous les articles
		// (c'est plus facile que de cibler seulement
		// ceux qu'on veut masquer)
		$('#projets article').hide();

		// on affiche les articles avec la classe media-video
		$('#projets article.media-video').show();
	});

	// activer le bouton "Tous" :
	$('.tris .all').on('click', function(){
		// on affiche tous les articles
		$('#projets article').show();
	});*/


	//////// on peut faire mieux, activer tous les boutons d'un coup
	/// et même du futures nouvelles catégories de tri...

	// au clic sur un li du menu des tris
	$('.tris li').on('click', function(){
		// je vais extraire la classe "du li cliqué"
		// $(this) c'est celui sur lequel l'événement a lieu
		var specif = $(this).attr('class');
		console.log(specif); // "all" ou "media-image", ou "media-video"

		// SI c'est 'all'
		if(specif == 'all'){ // == c'est "est-ce que c'est égal ? oui ou non"
			// ALORS je montre tous les articles
			$('#projets article').show();

		} else {
			// SINON (c'est pas "all")

			// je vais cacher tous les articles de #projets
			$('#projets article').hide();
			
			// je vais construire le sélecteur pour la catégorie souhaitée
			// je vais afficher les articles de la catégorie souhaitée
			$('#projets .' + specif).show();

			// ('#projets .' + specif) ça donne
			// '#projets .media-image' ou '#projets .media-video'
		}

		$('#projets').masonry(); // pour re-ranger
	});

	/* le + permet de coller 2 chaines de caractères
	pour faire une nouvelle chaine de caractères
	'tip'+'top' = 'tiptop'
	'tip'+12 = 'tip12'
	12+7+'top' = '19top'
	12+7+'top'+5 = '19top5' = 
	12+'7'+'top' = '127top'
	'#projets article.'+specif = '#projets article.media-image'
	voilà voilà :)
	*/


	//////// différnets types de mosaïques

	// masonry pour "tasser" la mosaïque et ne plus avoir d'epaces vides
	// mais seuelement quand les images seront chargées
	// on utilise la lib imagesLoaded pour détecter le chargement des images
	/*$('#projets').imagesLoaded(function(){
		// une fois TOUTES les images chargées on range
		$('#projets').masonry();
	});*/

	// solution plus subtile :
	/*$('#projets').imagesLoaded().progress(function(){
		// à CHAQUE image chargée on range
		$('#projets').masonry();
	});*/
		

	// activer masonry au click sur le bouton "Ranger"
	$('.action-ranger').on('click', function(){
		// masonry pour "tasser" la mosaïque et ne plus avoir d'epaces vides
		$('#projets').masonry();
	});


	//////// mélanger au hasard !
	// random() va permettre de tirer un nombre au sort
	// random() est défini plus bas...
	
	/*$('#projets article').css({
		'position': 'absolute',
		'left': random(0, 500)+'px',
		'top': random(0, 500)+'px'
	});*/

	// au clic sur le bouton "mélanger"...
	$('.action-melanger').on('click', function(){

		// je vais agir sur CHAQUE article
		$('#projets article').each(function(){
			// le code est exécuté 1 fois pour CHAQUE article
			// au 1er coup $(this) c'est le 1er article
			// au 2eme coup $(this) c'est le 2eme article
			// etc

			// $(this).css({
			$(this).transition({
				'position': 'absolute',
				'left': random(0, window.innerWidth-320)+'px', // 320 c'est la largeur d'une carte
				'top': random(0, window.innerHeight*0.5)+'px'
			});
		});
	});


	$('.action-empiler').on('click', function(){

		// je vais agir sur CHAQUE article
		$('#projets article').each(function(num){

			// num contient le n° de l'article
			// et commence à 0
			
			// $(this).css({
			$(this).transition({
				'position': 'absolute',
				'left': (num*50)+'px',
				'top': (num*50)+'px'
			});
			// num*50
			// 0 au 1er coup
			// 50 au 2eme coup
			// 150 au 3eme
			// etc
		});
	});



	// annuler le drag sur mobile et tablette
	// en-dessous de 810px de large

	// comment obtenir la largeur de la fenêtre
	// window.innerWidth

	// on va surveiller la redimension de la fenêtre
	$(window).on('resize', function(){
		// console.log(window.innerWidth);

		if(window.innerWidth < 810){

			// annuler le drag
			// c'est désactiver l'écoute du
			// mousedown avec une souris
			// touchstart sur mobile (tactile)

			$('#projets article').off('mousedown touchstart');
			// console.log("kill le drag");
		}

	}).trigger('resize'); // pour simuler l'événement au démarrage



	// lighbox de bas de la page
	// "au click sur le bouton 
	// alors je passe le contenu caché en lightbox"
	$('#info button').on('click', function() {

	   $('#info .contenu-cache').simpleLightbox({
	   		adjustContent: true, // ajuste le conteu pour laisser une marge autour

	   		// changer la couleur de fond en js
	   		// mais on peut le faire en css aussi, plus simplement
	   		overlayStyle: { background: 'red', opacity: .6 }
	   });

	});


	
}); // fin du $(document).ready

// une fonction qui nous sera utile
function random(min, max){ // retourne un nombre aléatoire entre min et max
	return min + Math.round(Math.random()*(max-min));
};